//Navigation 'u'->up; 'd'->down; 'r'->right; 'l'->left; 'q'->quit 

#include <stdio.h>
#include "menu.h"
#include "car.h"

menu_item_t menu01, menu02, menu03, menu31, menu32, menu33;

menu_item_t menu01 = {"Motor", &menu03, &menu02, NULL, NULL, std_up, std_down, std_left, show_motor_value};
menu_item_t menu02 = {"Klimaanlage", &menu01, &menu03, NULL, NULL, std_up, std_down, std_left, show_klima_value};
menu_item_t menu03 = {"Einstellungen", &menu02, &menu01, NULL, &menu31, std_up, std_down, std_left, std_right};
menu_item_t menu31 = {"Motor-Setup", &menu33, &menu32, &menu03, NULL, std_up, std_down, std_left, setup_motor};
menu_item_t menu32 = {"Klima-Setup", &menu31, &menu33, &menu03, NULL, std_up, std_down, std_left, setup_klima};
menu_item_t menu33 = {"Entwickler", &menu32, &menu31, &menu03, NULL, std_up, std_down, std_left, show_dev};


int main(void) {
    menu_item_t* start = &menu01;
    menu* current_menu_ptr = &start;
    char c;
    do {
        printf("%s\n\n",(*current_menu_ptr)->name);
        c = getchar();
        getchar();
        switch (c) {
            case 'u':
                (*current_menu_ptr)->f_up(current_menu_ptr);
                break;
            case 'd':
                (*current_menu_ptr)->f_down(current_menu_ptr);
                break;
            case 'l':
                (*current_menu_ptr)->f_left(current_menu_ptr);
                break;
            case 'r':
                (*current_menu_ptr)->f_right(current_menu_ptr);
                break;
            default:
                break;
        }
    }while (c != 'q');
    return 0;
}
