#ifndef menu_h
#define menu_h

typedef const struct MENU_ITEM {
    const char *name;
    const struct MENU_ITEM *up, *down, *left, *right;
    void(*f_up)(const struct MENU_ITEM**), (*f_down)(const struct MENU_ITEM**), (*f_left)(const struct MENU_ITEM**), (*f_right)(const struct MENU_ITEM**);
}menu_item_t;

typedef menu_item_t* menu;

void std_up(menu_item_t**);
void std_down(menu_item_t**);
void std_left(menu_item_t**);
void std_right(menu_item_t**);

#endif
